std::_Vector_base< _Tp, _Alloc >(3cxx)

NAME
std::_Vector_base< _Tp, _Alloc >

SYNOPSIS

Inherited by std::vector< _Tp, _Alloc > [protected].

  Public Types

typedef __gnu_cxx::__alloc_traits< _Alloc >::template rebind< _Tp >::other _Tp_alloc_type
typedef _Alloc allocator_type
typedef __gnu_cxx::__alloc_traits< _Tp_alloc_type >::pointer pointer

  Public Member Functions

_Vector_base (const allocator_type &__a) noexcept
_Vector_base (size_t __n)
_Vector_base (size_t __n, const allocator_type &__a)
_Vector_base (_Tp_alloc_type &&__a) noexcept
_Vector_base (_Vector_base &&__x) noexcept
_Vector_base (_Vector_base &&__x, const allocator_type &__a)
pointer _M_allocate (size_t __n)
void _M_deallocate (pointer __p, size_t __n)
_Tp_alloc_type & _M_get_Tp_allocator () noexcept
const _Tp_alloc_type & _M_get_Tp_allocator () const noexcept
allocator_type get_allocator () const noexcept

  Public Attributes

_Vector_impl _M_impl

Detailed Description

  template<typename _Tp, typename _Alloc>
struct std::_Vector_base< _Tp, _Alloc >" See bits/stl_deque.h's _Deque_base for an explanation.

Definition at line 72 of file stl_vector.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.